# StatelessFileSharingSource class abstract

The base class for sources for StatelessFileSharing

Implementers
  - StatelessFileSharingEncryptedSource
  - StatelessFileSharingUrlSource

## Constructors

StatelessFileSharingSource ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode
  Turn the source into an XML element.

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited